BatchSqlDetails
curl --request POST \
--url https://developer.synq.io/api/sql-insights/v1/details:batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"paths": [
"<string>"
]
}
'import requests
url = "https://developer.synq.io/api/sql-insights/v1/details:batch"
payload = { "paths": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({paths: ['<string>']})
};
fetch('https://developer.synq.io/api/sql-insights/v1/details:batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sqlDetails": {}
}synq.entities.sql_insights.v1.SqlInsightsService
BatchSqlDetails
BatchSqlDetails returns the SQL details (currently the set of detected SQL constructs) for each of the requested entities, keyed by their synq path. Entities with no SQL details are omitted from the response map.
POST
/
api
/
sql-insights
/
v1
/
details:batch
BatchSqlDetails
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
BatchSqlDetailsRequest requests SQL details for a set of entities.
The synq paths of the entities to fetch SQL details for. A synq path
uniquely identifies an entity and can be obtained from the synq_paths
field of other entity responses.
Response
200 - application/json
Success
BatchSqlDetailsResponse maps each requested synq path to its SQL details.
SQL details keyed by synq path. Paths with no SQL details are omitted.
Show child attributes
Show child attributes
⌘I